# $Revision: 1.5 $, $Date: 2004/07/18 08:49:20 $
Summary:	Network hosts status monitor
Summary(pl):	Monitor stanu komputerw w sieci
Name:		wmping
Version:	0.2.1
Release:	2
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://cad.ntu-kpi.kiev.ua/~serg/projects/wm/%{name}-%{version}.tar.gz
# Source0-md5:	c8f3f501bc39389385558022f2a36f66
Source1:	%{name}.desktop
URL:		http://freshmeat.net/projects/wmping/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
Requires:	iputils-ping
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wmping is a dockapp which checks the status of hosts in a network. It
show "up" status for a host that is available and "down" status for a
host that cannot be pinged.

%description -l pl
Wmping jest apletem, ktry sprawdza stan komputerw w sieci. Pokazuje
stan "wczony" dla komputerw, ktre s osigalne i "wyczony" dla
tych, ktre nie odpowiadaj na pingi.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -d $RPM_BUILD_ROOT%{_desktopdir}/docklets

install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/docklets/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org
$Log: wmping.spec,v $
Revision 1.5  2004/07/18 08:49:20  yogib
- added R: iputils-ping, switched to vfolders

Revision 1.4  2004/03/02 18:45:12  yogib
- updated to 0.2.1

Revision 1.3  2004/02/10 19:21:39  yogib
- updated to 0.2

Revision 1.2  2004/02/02 20:43:37  yogib
- added desktop, rel 1

Revision 1.1  2004/01/31 18:14:57  yogib
- added

